package com.gyee.frame.model.enumeration;

import lombok.Data;

/**
 * @author Wang Jiawen
 * @purpose 枚举 ，用途供socket推送消息时，来具体定义推送的消息类型
 * @date 2020-01-09 09:17
 */

public enum Messagetype {
    JSONTEXT(1,"JSONTEXT"),  //采用阿里巴巴json对字符串进行转换，那么会出现转换异常情况，经测试，但对常规的字符串转换正常,得到结果String类型
    JSONOBJECT(2,"JSONOBJECT"),//采用阿里巴巴json对字符串进行转换，那么会出现转换异常情况，经测试，但对常规的字符串转换正常,得到结果Object类型
    MESSAGE(3,"MESSAGE"),//消息类型，对于此类型，我们保留了字符串的格式，不对其进行转换
    CUSTOMIZE(4,"CUSTOMIZE");//自定义类型，对于常规的消息，可能正常进行转换，但对于复杂类型消息无法转换成json，或者想要自定义的消息类型，请选用该模式

    private Integer messageNum;
    private String message;

    Messagetype( Integer messageNum,String message){
        this.message=message;
        this.messageNum=messageNum;
    }

    public void setMessageNum(Integer messageNum) {
        this.messageNum = messageNum;
    }

    public Integer getMessageNum() {
        return messageNum;
    }
    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }
}
